org.keycloak.models.map.realm.entity

## Class MapOTPPolicyEntity

- java.lang.Object
- - org.keycloak.models.map.realm.entity.MapOTPPolicyEntity

- All Implemented Interfaces:
    UpdatableEntity

      public class MapOTPPolicyEntity
      extends Object
      implements UpdatableEntity

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static MapOTPPolicyEntity` | `fromModel(OTPPolicy model)`
    `String` | `getOtpPolicyAlgorithm()`
    `Integer` | `getOtpPolicyDigits()`
    `Integer` | `getOtpPolicyInitialCounter()`
    `Integer` | `getOtpPolicyLookAheadWindow()`
    `Integer` | `getOtpPolicyPeriod()`
    `String` | `getOtpPolicyType()`
    `int` | `hashCode()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `setOtpPolicyAlgorithm(String otpPolicyAlgorithm)`
    `void` | `setOtpPolicyDigits(int otpPolicyDigits)`
    `void` | `setOtpPolicyInitialCounter(int otpPolicyInitialCounter)`
    `void` | `setOtpPolicyLookAheadWindow(int otpPolicyLookAheadWindow)`
    `void` | `setOtpPolicyPeriod(int otpPolicyPeriod)`
    `void` | `setOtpPolicyType(String otpPolicyType)`
    `static OTPPolicy` | `toModel(MapOTPPolicyEntity entity)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromModel

          public static MapOTPPolicyEntity fromModel(OTPPolicy model)

    - #### toModel

          public static OTPPolicy toModel(MapOTPPolicyEntity entity)

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### getOtpPolicyInitialCounter

          public Integer getOtpPolicyInitialCounter()

    - #### setOtpPolicyInitialCounter

          public void setOtpPolicyInitialCounter(int otpPolicyInitialCounter)

    - #### getOtpPolicyDigits

          public Integer getOtpPolicyDigits()

    - #### setOtpPolicyDigits

          public void setOtpPolicyDigits(int otpPolicyDigits)

    - #### getOtpPolicyLookAheadWindow

          public Integer getOtpPolicyLookAheadWindow()

    - #### setOtpPolicyLookAheadWindow

          public void setOtpPolicyLookAheadWindow(int otpPolicyLookAheadWindow)

    - #### getOtpPolicyPeriod

          public Integer getOtpPolicyPeriod()

    - #### setOtpPolicyPeriod

          public void setOtpPolicyPeriod(int otpPolicyPeriod)

    - #### getOtpPolicyType

          public String getOtpPolicyType()

    - #### setOtpPolicyType

          public void setOtpPolicyType(String otpPolicyType)

    - #### getOtpPolicyAlgorithm

          public String getOtpPolicyAlgorithm()

    - #### setOtpPolicyAlgorithm

          public void setOtpPolicyAlgorithm(String otpPolicyAlgorithm)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.